<?php

// $Id: config.inc.php 2632 2013-01-03 21:41:38Z cimorrison $

/**************************************************************************
 *   MRBS Configuration File
 *   Configure this file for your site.
 *   You shouldn't have to modify anything outside this file
 *   (except for the lang.* files, eg lang.en for English, if
 *   you want to change text strings such as "Meeting Room
 *   Booking System", "room" and "area").
 **************************************************************************/

/**********
 * Timezone
 **********/
 
// The timezone your meeting rooms run in. It is especially important
// to set this if you're using PHP 5 on Linux. In this configuration
// if you don't, meetings in a different DST than you are currently
// in are offset by the DST offset incorrectly.
//
// Note that timezones can be set on a per-area basis, so strictly speaking this
// setting should be in areadefaults.inc.php, but as it is so important to set
// the right timezone it is included here.
//
// When upgrading an existing installation, this should be set to the
// timezone the web server runs in.  See the INSTALL document for more information.
//
// A list of valid timezones can be found at http://php.net/manual/timezones.php
// The following line must be uncommented by removing the '//' at the beginning
$timezone = "Australia/NSW";


/*******************
 * Database settings
 ******************/
// Which database system: "pgsql"=PostgreSQL, "mysql"=MySQL,
// "mysqli"=MySQL via the mysqli PHP extension
$dbsys = "mysql";
// Hostname of database server. For pgsql, can use "" instead of localhost
// to use Unix Domain Sockets instead of TCP/IP.
$db_host = "maria.science.mq.edu.au";
// Database name:
$db_database = "microscopymrbs";
// Database login user name:
$db_login = "microscopymrbs";
// Database login password:
$db_password = 'b4.r&^~x:I';
// Prefix for table names.  This will allow multiple installations where only
// one database is available
$db_tbl_prefix = "mrbs_";
// Uncomment this to NOT use PHP persistent (pooled) database connections:
// $db_nopersist = 1;


/* Add lines from systemdefaults.inc.php and areadefaults.inc.php below here
   to change the default configuration. Do _NOT_ modify systemdefaults.inc.php
   or areadefaults.inc.php.  */


$mrbs_admin = "ScienceIT";
$mrbs_admin_email = "sci.help@mq.edu.au";

$mrbs_company = "Microscopy Unit (FoS)";   // This line must always be uncommented ($mrbs_company is used in various places)

// Uncomment this next line to use a logo instead of text for your organisation in the header
$mrbs_company_logo = "MU_logo.png";    // name of your logo file.   This example assumes it is in the MRBS directory

// Uncomment this next line to have a link to your organisation in the header
$mrbs_company_url = "http://www.science.mq.edu.au/";

// This is to fix URL problems when using a proxy in the environment.
// If links inside MRBS appear broken, then specify here the URL of
// your MRBS root directory, as seen by the users. For example:
// $url_base =  "http://webtools.uab.ericsson.se/oam";
// It is also recommended that you set this if you intend to use email
// notifications, to ensure that the correct URL is displayed in the
// notification.
$url_base = "http://bio.mq.edu.au/facilities/microscopy/microscopy-rbs";


/*******************
 * Themes
 *******************/

// Choose a theme for the MRBS.   The theme controls two aspects of the look and feel:
//   (a) the styling:  the most commonly changed colours, dimensions and fonts have been 
//       extracted from the main CSS file and put into the styling.inc file in the appropriate
//       directory in the Themes directory.   If you want to change the colour scheme, you should
//       be able to do it by changing the values in the theme file.    More advanced styling changes
//       can be made by changing the rules in the CSS file.
//   (b) the header:  the header.inc file which contains the function used for producing the header.
//       This enables organisations to plug in their own header functions quite easily, in cases where
//       the desired corporate look and feel cannot be changed using the CSS alone and the mark-up
//       itself needs to be changed.
//
//  MRBS will look for the files "styling.inc" and "header.inc" in the directory Themes/$theme and
//  if it can't find them will use the files in Themes/default.    A theme directory can contain
//  a replacement styling.inc file or a replacement header.inc file or both.

// Available options are:

// "default"        Default MRBS theme
// "classic126"     Same colour scheme as MRBS 1.2.6

$theme = "default";

/******************
 * Display settings
 ******************/

// [These are all variables that control the appearance of pages and could in time
//  become per-user settings]

// Start of week: 0 for Sunday, 1 for Monday, etc.
$weekstarts = 1;

// Trailer date format: 0 to show dates as "Jul 10", 1 for "10 Jul"
$dateformat = 1;

// Time format in pages. 0 to show dates in 12 hour format, 1 to show them
// in 24 hour format
$twentyfourhour_format = 0;

// Page refresh time (in seconds). Set to 0 to disable
$refresh_rate = 120;

// should areas be shown as a list or a drop-down select box?
$area_list_format = "select";

// To view weeks in the bottom trailer as week numbers (42) instead of
// 'first day of the week' (13 Oct), set this to TRUE.  Will also give week
// numbers in the month view
$view_week_number = FALSE;

// To display the row labels (times, rooms or days) on the right hand side as well as the 
// left hand side in the day and week views, set to TRUE;
// (was called $times_right_side in earlier versions of MRBS)
$row_labels_both_sides = TRUE;

// Define default room to start with (used by index.php)
// Room numbers can be determined by looking at the Edit or Delete URL for a
// room on the admin page.
// Default is 0
$default_room = 1;

/************************
 * Miscellaneous settings
 ************************/

/***********************************************
 * Form values
 ***********************************************/

$is_mandatory_field = array();
// You can define custom entry fields to be mandatory by setting
// items in the array $is_mandatory_field.   (Note that making a checkbox
// field mandatory means that the box must be checked.)   For example:

// $is_mandatory_field['entry.terms_and_conditions'] = true;


$is_mandatory_field['fulldescription'] = true;
$is_mandatory_field['entry.fulldescription'] = true;
$is_mandatory_field['room.fulldescription'] = true;

// $edit_entry_field_order can be used to change the order of fields in the
// edit_entry page. This is useful to insert custom fields somewhere other tha

// the end. For example: To place a custom field 'in_charge' directly after the
// booking name, set the following in config.inc.php:
//
// $edit_entry_field_order = array('name', 'in_charge');
//
// Valid entries in this array are: 'name', 'description', 'start_date',
// 'end_date', 'areas', 'rooms', 'type', 'confirmation_status',
// 'privacy_status', plus any custom fields you may have defined. Fields that
// are not mentionend in the array are appended at the end, in their usual
// order.
$edit_entry_field_order = array();

/***********************************************
 * Authentication settings - read AUTHENTICATION
 ***********************************************/

$auth["type"] = "ldap"; // How to validate the user/password. One of "none"
                          // "config" "db" "db_ext" "pop3" "imap" "ldap" "nis"
                          // "nw" "ext".

// Where the authentication settings are kept (for OneID and ScienceIT authentication)
require_once("/home/www/science/secure/mrbs/config-ldap.php");

// Debra Birch from the Microscopy Unit would like pretty much anyone with a OneID to login
$ldap_base_dn[0] = "OU=Active,OU=MQ-Users,DC=mqauth,DC=uni,DC=mq,DC=edu,DC=au";

$auth["session"] = "php"; // How to get and keep the user ID. One of
           // "http" "php" "cookie" "ip" "host" "nt" "omni"
           // "remote_user"

// Configuration parameters for 'cookie' session scheme

// The encryption secret key for the session tokens. You are strongly
// advised to change this if you use this session scheme
$auth["session_cookie"]["secret"] = "Microscopy Resource Booking Sys!";

// Whether to include the user's IP address in their session cookie.
// Increases security, but could cause problems with proxies/dynamic IP
// machines
$auth["session_cookie"]["include_ip"] = FALSE;


// Configuration parameters for 'php' session scheme

// The expiry time of a session, in seconds
// N.B. Long session expiry times rely on PHP not retiring the session
// on the server too early. If you only want session cookies to be used,
// set this to 0.
$auth["session_php"]["session_expire_time"] = (60*60*24*7); // 7 days

// The list of administrators (can modify other peoples settings).
//
// This list is not needed when using the 'db' authentication scheme EXCEPT
// when upgrading from a pre-MRBS 1.4.2 system that used db authentication.
// Pre-1.4.2 the 'db' authentication scheme did need this list.   When running
// edit_users.php for the first time in a 1.4.2 system or later, with an existing
// users list in the database, the system will automatically add a field to
// the table for access rights and give admin rights to those users in the database
// for whom admin rights are defined here.   After that this list is ignored.
unset($auth["admin"]);              // Include this when copying to config.inc.php
$auth["admin"][] = "help"; // A user name from the user list. Useful 


                                    // with most other session schemes.
// Some ScienceIT members
require_once("/home/www/science/secure/mrbs/config-scienceit.php");   // Science IT admins are here!

// Some microscopy members
$auth["admin"][] = "mq83600191"; // Debra Birch
$auth["admin"][] = "mq20018061"; // Nicole Vella
$auth["admin"][] = "mq20125140"; // Nadia Suarez-Bosche
$auth["admin"][] = "mq20141042"; // Lesley Nearn-Cavanagh
$auth["admin"][] = "mq20156038"; // Erna Lilje (see OneHelp TASK0077562)
$auth["admin"][] = "mq20160851"; // Sue Lindsay (see OneHelp INC0032240)

// 'auth_config' user database
// Format: $auth["user"]["name"] = "password";

// 'session_http' configuration settings
$auth["realm"]  = "MRBS";

// Set to TRUE if you want to allow MRBS to be run from the command line, for example
// if you want to produce reports from a cron job.   (It is set to FALSE by default
// as a security measure, because when running from the CLI you are assumed to have
// full admin access).
$allow_cli = FALSE;


/**********************************************
 * Email settings
 **********************************************/

// WHO TO EMAIL
// ------------
// The following settings determine who should be emailed when a booking is made,
// edited or deleted (though the latter two events depend on the "When" settings below).
// Set to TRUE or FALSE as required
// (Note:  the email addresses for the room and area administrators are set from the
// edit_area_room.php page in MRBS)
$mail_settings['admin_on_bookings']      = FALSE;  // the addresses defined by $mail_settings['recipients'] below
$mail_settings['area_admin_on_bookings'] = TRUE;  // the area administrator
$mail_settings['room_admin_on_bookings'] = FALSE;  // the room administrator
$mail_settings['booker']                 = TRUE;  // the person making the booking
$mail_settings['book_admin_on_approval'] = FALSE;  // the booking administrator when booking approval is enabled
                                                   // (which is the MRBS admin, but this setting allows MRBS
                                                   // to be extended to have separate booking approvers)     

// WHEN TO EMAIL
// -------------
// These settings determine when an email should be sent.
// Set to TRUE or FALSE as required
//

$mail_settings['on_new']    = TRUE;   // when an entry is created
$mail_settings['on_delete'] = TRUE;  // when an entry is deleted


// WHAT TO EMAIL
// -------------
// These settings determine what should be included in the email
// Set to TRUE or FALSE as required
$mail_settings['details']   = TRUE; // Set to TRUE if you want full booking details;
                                     // otherwise you just get a link to the entry

// HOW TO EMAIL - ADDRESSES
// ------------------------
// The email addresses of the MRBS administrator are set in the config file, and
// those of the room and area administrators are set though the edit_area_room.php
// in MRBS.    But if you have set $mail_settings['booker'] above to TRUE, MRBS will
// need the email addresses of ordinary users.   If you are using the "db" 
// authentication method then MRBS will be able to get them from the users table.  But
// if you are using any other authentication scheme then the following settings allow
// you to specify a domain name that will be appended to the username to produce a
// valid email address (eg "@domain.com").
$mail_settings['domain'] = '@mq.edu.au';


// HOW TO EMAIL - BACKEND
// ----------------------
// Set the name of the backend used to transport your mails. Either 'mail',
// 'smtp' or 'sendmail'. Default is 'mail'.
$mail_settings['admin_backend'] = 'smtp';

/*******************
 * SMTP settings
 */

// These settings are only used with the "smtp" backend
require_once("/home/www/science/secure/mrbs/config-smtp-gmail.php");

// EMAIL - MISCELLANEOUS
// ---------------------

// Set the email address of the From field. Default is 'admin_email@your.org'
$mail_settings['from'] = 'sci.help@mq.edu.au';

// Set the recipient email. Default is 'admin_email@your.org'. You can define
// more than one recipient like this "john@doe.com,scott@tiger.com"
$mail_settings['recipients'] = 'sci.help@mq.edu.au';

/**********
 * Language
 **********/

// Set this to 1 to disable the automatic language changing MRBS performs
// based on the user's browser language settings. It will ensure that
// the language displayed is always the value of $default_language_tokens,
// as specified below
$disable_automatic_language_changing = 1;

// Set this to a valid locale (for the OS you run the MRBS server on)
// if you want to override the automatic locale determination MRBS
// performs.   Remember to include the codeset if appropriate.   For example,
// on a UNIX system you would use "en_GB.utf-8" for English/GB.
$override_locale = "C";

// Vocab overrides
// ---------------

// You can override the text strings that appear in the lang.* files by setting
// $vocab_override['en']_override[LANG][TOKEN] in your config file, where LANG is the language,
// for example 'en' and TOKEN is the key of the $vocab_override['en'] array.  For example to
// alter the string "Meeting Room Booking System" in English set
//
// $vocab_override['en']['mrbs'] = "My Resource Booking System";
//
// Applying vocab overrides in the config file rather than editing the lang files
// mean that your changes will be preserved whenb you upgrade to the next version of
// and you won't have to re-edit the lang file.

$vocab_override['en']['mrbs']               = "Resource Booking System";
$vocab_override['en']['areas']              = "Categories";
$vocab_override['en']['namebooker']         = "Full name";
$vocab_override['en']['fulldescription']    = "Phone number AND Email  address - please include BOTH";
$vocab_override['en']['area']               = "Category";
$vocab_override['en']['ctrl_click']         = "Use Control-Click to select more than one resource";
$vocab_override['en']['room']                = "Resource";
$vocab_override['en']['max_per_day_area']        = "The maximum number of bookings per day per user in this category is";
$vocab_override['en']['max_per_week_area']       = "The maximum number of bookings per week per user in this category is";
$vocab_override['en']['max_per_month_area']      = "The maximum number of bookings per month per user in this category is";
$vocab_override['en']['max_per_year_area']       = "The maximum number of bookings per year per user in this category is";
$vocab_override['en']['max_per_future_area']     = "The maximum number of outstanding bookings per user in this category is";
$vocab_override['en']['please_login']       = "Please log in with OneID or ScienceID";
$vocab_override['en']['match_area']            = "Match category";
$vocab_override['en']['match_room']            = "Match resource";
$vocab_override['en']['no_rooms_for_area']  = "No resources defined for this category";
$vocab_override['en']['rooms']              = "Resources";
$vocab_override['en']['noareas']            = "No categories have been defined.";
$vocab_override['en']['noareas_enabled']    = "No categories have been enabled.";
$vocab_override['en']['addarea']            = "Add Category";
$vocab_override['en']['noarea']             = "No category selected";
$vocab_override['en']['addroom']            = "Add Resource";
$vocab_override['en']['norooms']            = "No resources have been defined.";
$vocab_override['en']['norooms_enabled']    = "No resources have been enabled.";
$vocab_override['en']['administration']     = "Resource Details";
$vocab_override['en']['invalid_area_name']  = "This category name has already been used!";
$vocab_override['en']['editarea']                = "Edit Category";
$vocab_override['en']['backadmin']               = "Back to Resources";
$vocab_override['en']['editroomarea']            = "Edit Category or Resource Description";
$vocab_override['en']['editroom']                = "Edit Resource";
$vocab_override['en']['viewroom']                = "View Resource";
$vocab_override['en']['update_room_failed']      = "Resource update failed: ";
$vocab_override['en']['error_room']              = "Error: resource ";
$vocab_override['en']['update_area_failed']      = "Category update failed: ";
$vocab_override['en']['error_area']              = "Error: category ";
$vocab_override['en']['room_admin_email']        = "Resource admin email";
$vocab_override['en']['area_admin_email']        = "Category admin email";
$vocab_override['en']['invalid_area']            = "Invalid category!";
$vocab_override['en']['invalid_room_name']       = "This resource name has already been used in the category!";
$vocab_override['en']['sort_key_note']           = "This is the key used for ordering resources";
$vocab_override['en']['this_area']               = "This category";
$vocab_override['en']['disabled_area_note']      = "If this category is disabled, it will not appear in the calendar views " .
                                     "and it will not be possible to book resources in it.   However existing bookings " .
                                    "will be preserved and will be visible in Search and Report results.";
$vocab_override['en']['disabled_room_note']      = "If this resource is disabled, it will not appear in the calendar views " .
                                    "and it will not be possible to book it.   However existing bookings " .
                                    "will be preserved and will be visible in Search and Report results.";
$vocab_override['en']['delarea']            = "You must delete all resources in this category before you can delete it<p>";
$vocab_override['en']['area_room_settings']          = "Categories and resources";
$vocab_override['en']['area_room_order_note']        = "The order of the category and resource names in the LOCATION property";
$vocab_override['en']['area_room']                   = "Category-Resource";
$vocab_override['en']['room_area']                   = "Resource-Category";
$vocab_override['en']['area_room_delimiter_note']    = "The string separating the category and resource names in the LOCATION property.  " .
                                         "If no delimiter is found MRBS will look for a unique resource with the same " .
                                        "name as the LOCATION";
$vocab_override['en']['area_room_create']            = "Create resources if necessary";
$vocab_override['en']['room_does_not_exist_no_area'] = "resource does not exist and cannot be added - no category given";
$vocab_override['en']['room_not_unique_no_area']     = "resource name is not unique.  Cannot choose which one without an category.";
$vocab_override['en']['area_does_not_exist']         = "Non-existent category:";
$vocab_override['en']['room_does_not_exist']         = "Non-existent resource:";
$vocab_override['en']['creating_new_area']           = "Creating new category:";
$vocab_override['en']['creating_new_room']           = "Creating new resource:";
$vocab_override['en']['could_not_create_area']       = "Could not create category";
$vocab_override['en']['could_not_create_room']       = "Could not create resource";
$vocab_override['en']['could_not_find_room']         = "Could not find resource";
$vocab_override['en']['type.I']            = "Booked";
$vocab_override['en']['type.E']            = "Returned";
$vocab_override['en']['type.G']            = "Borrowed";

/*************
 * Entry Types
 *************/

// This array lists the configured entry type codes. The values map to a
// single char in the MRBS database, and so can be any permitted PHP array
// character.
//
// The default descriptions of the entry types are held in the language files
// as "type.X" where 'X' is the entry type.  If you want to change the description
// you can override the default descriptions by setting the $vocab_override config
// variable.   For example, if you add a new booking type 'C' the minimum you need
// to do is add a line to config.inc.php like:
// 
// $vocab["type.C"] =     "New booking type";
//
// Below is a basic default array which ensures there are at least some types defined.
// The proper type definitions should be made in config.inc.php.
//
// Each type has a color which is defined in the array $color_types in the Themes
// directory - just edit whichever include file corresponds to the theme you
// have chosen in the config settings. (The default is default.inc, unsurprisingly!)
//

$booking_types[] = "G";

/*******************
 * Calendar settings
 *******************/

// Resolution - what blocks can be booked, in seconds.
// Default is half an hour: 1800 seconds.
$resolution = (60 * 60);  // DEFAULT VALUE FOR NEW AREAS

// The beginning of the first slot of the day (DEFAULT VALUES FOR NEW AREAS)
$morningstarts         = 9;   // must be integer in range 0-23
$morningstarts_minutes = 0;   // must be integer in range 0-59

// The beginning of the last slot of the day (DEFAULT VALUES FOR NEW AREAS)
$eveningends           = 17;  // must be integer in range 0-23
$eveningends_minutes   = 0;   // must be integer in range 0-59

?>
